<!doctype customizable-style-sheet 
  public "-//Matthias Clasen//DTD Customizable DSSSL Style Sheet//EN" >
<customizable-style-sheet>
  <style-specification>
    <customize>
      <section>
	<description>
	  <short>Page layout</short>
	</description>
	<characteristic name="page-width">
	  <description>
	    <short>Page width</short>
	    <long>The initial value is system-dependent.</long>
	  </description>
	  <value>
	  <type class="length">
	  </value>
	</characteristic>
	<characteristic name="page-height">
	  <description>
	    <short>Page height</short>
	    <long>The initial value is system-dependent.</long>
	  </description>
	  <value>
	    <type class="length">
	  </value>
	</characteristic>
	<characteristic name="left-margin" initial="0pt">
	  <description>
	    <short>Left margin</short>
	  </description>
	  <value>
	    <type class="length">
	  </value>
	</characteristic>
	<characteristic name="right-margin" initial="0pt">
	  <description>
	    <short>Right margin</short>
	  </description>
	  <value>
	    <type class="length">
	  </value>
	</characteristic>
	<characteristic name="top-margin" initial="0pt">
	  <description>
	    <short>Top margin</short>
	    <long>The distance from the top of the page to the top of the area
	      container used for the content of the simple-page-sequence.

	      The header line is within the top margin.</long>
	  </description>
	  <value>
	    <type class="length">
	  </value>
	</characteristic>
	<characteristic name="bottom-margin" initial="0pt">
	  <description>
	    <short>Bottom margin</short>
	    <long>The distance from the bottom of the page to the bottom of
	      the area container used for the content of the
	      simple-page-sequence. 

	      The footer line is within the bottom margin.</long> 
	  </description>
	  <value>
	    <type class="length">
	  </value>
	</characteristic>
	<characteristic name="header-margin" initial="0pt">
	  <description>
	    <short>Header margin</short>
	    <long>The distance from the top of the page to the placement path
	      for the header line.</long> 
	  </description>
	  <value>
	    <type class="length">
	  </value>
	</characteristic>
	<characteristic name="footer-margin" initial="0pt">
	  <description>
	    <short>Footer margin</short>
	    <long>The distance from the bottom of the page to the placement path
	      for the footer line.</long> 
	  </description>
	  <value>
	    <type class="length">
	  </value>
	</characteristic>
      </section>
      <section>
	<description>
	  <short>Alignment</short>
	</description>
	<characteristic name="first-line-align" initial="#f">
	  <description>
	    <short>First line align</short>
	  </description>
	  <value>
	    <type class="boolean">
	  </value>
	  <value>
	    <description>
	      <short>Alignment character</short>
	    </description>
	    <type class="char">
	  </value>
	</characteristic>
	<characteristic name="alignment-point-offset" initial="50">
	  <description>
	    <short>Alignment point offset</short>
	  </description>
	  <value>
	    <content>#f</content>
	  </value>
	  <value>
	    <type class="number">
	  </value>
	</characteristic>
	<characteristic name="quadding" initial="'start">
	  <description>
	    <short>Quadding</short>
	  </description>
	  <value>
	    <content>'start</content>
	  </value>
	  <value>
	    <content>'end</content>
	  </value>
	  <value>
	    <content>'spread-inside</content>
	  </value>
	  <value>
	    <content>'spread-outside</content>
	  </value>
	  <value>
	    <content>'page-inside</content>
	  </value>
	  <value>
	    <content>'page-outside</content>
	  </value>
	  <value>
	    <content>'center</content>
	  </value>
	  <value>
	    <content>'justify</content>
	  </value>
	</characteristic>
	<characteristic name="last-line-quadding" initial="'relative">
	  <description>
	    <short>Last line quadding</short>
	  </description>
	  <value>
	    <content>'relative</content>
	  </value>
	  <value>
	    <content>'start</content>
	  </value>
	  <value>
	    <content>'end</content>
	  </value>
	  <value>
	    <content>'spread-inside</content>
	  </value>
	  <value>
	    <content>'spread-outside</content>
	  </value>
	  <value>
	    <content>'page-inside</content>
	  </value>
	  <value>
	    <content>'page-outside</content>
	  </value>
	  <value>
	    <content>'center</content>
	  </value>
	  <value>
	    <content>'justify</content>
	  </value>
	  </characteristic>
	<characteristic name="last-line-justify-limit" initial="0pt">
	  <description>
	    <short>Last line justify limit</short>
	  </description>
	  <value>
	    <type class="length">
	  </value>
	</characteristic>
	<characteristic name="justify-glyph-space-max-add" initial="0pt">
	  <description>
	    <short>Inter-glyph space +</short>
	  </description>
	  <value>
	    <type class="length">
	  </value>
	</characteristic>
	<characteristic name="justify-glyph-space-max-remove" initial="0pt">
	  <description>
	    <short>Inter-glyph space -</short>
	  </description>
	  <value>
	    <type class="length">
	  </value>
	</characteristic>
	<characteristic name="hanging-punct?" initial="#f">
	  <description>
	    <short>Hanging punctuation ?</short>
	  </description>
	  <value>
	    <type class="boolean">
	  </value>
	</characteristic>
      </section>
      <section>
	<description>
	  <short>Spacing</short>
	</description>
	<characteristic name="line-spacing" initial="12pt">
	  <description>
	    <short>Line spacing</short>
	  </description>
	  <value>
	    <type class="length">
	  </value>
	</characteristic>
	<characteristic name="line-spacing-priority" initial="0">
	    <description>
	    <short>Line spacing priority</short>
	  </description>
	  <value>
	    <content>'force</content>
	  </value>
	  <value>
	    <type class="number">
	  </value>
	</characteristic>
	<characteristic name="min-pre-line-spacing" initial="#f">
	  <description>
	    <short>Minimal pre-line spacing</short>
	  </description>
	  <value>
	    <content>#f</content>
	  </value>
	  <value>
	    <type class="length">
	  </value>
	</characteristic>
	<characteristic name="min-post-line-spacing" initial="#f">
	  <description>
	    <short>Minimal post-line spacing</short>
	  </description>
	  <value>
	    <content>#f</content>
	  </value>
	  <value>
	    <type class="length">
	  </value>
	</characteristic>
	<characteristic name="min-leading" initial="#f">
	  <description>
	    <short>Minimal leading</short>
	  </description>
	  <value>
	    <content>#f</content>
	  </value>
	  <value>
	    <type class="length">
	  </value>
	</characteristic>
	<characteristic name="start-indent" initial="0pt">
	  <description>
	    <short>Start indent</short>
	  </description>
	  <value>
	    <type class="length">
	  </value>
	</characteristic>
	<characteristic name="end-indent" initial="0pt">
	  <description>
	    <short>End indent</short>
	  </description>
	  <value>
	    <type class="length">
	  </value>
	</characteristic>
	<characteristic name="first-line-start-indent" initial="0pt">
	  <description>
	    <short>First line start-indent</short>
	  </description>
	  <value>
	    <type class="length">
	  </value>
	</characteristic>
	<characteristic name="last-line-end-indent" initial="0pt">
	  <description>
	    <short>Last line end-indent</short>
	  </description>
	  <value>
	    <type class="length">
	  </value>
	</characteristic>
      </section>
      <section>
	<description>
	  <short>Fonts</short>
	</description>
	<characteristic name="font-family-name" initial='"iso-serif"'>
	  <description>
	    <short>Font family</short>
	  </description>
	  <value>
	    <description>
	      <short>iso-serif</short>
	    </description>
	    <content>"iso-serif"</content>
	  </value>
	  <value>
	    <description>
	      <short>iso-sanserif</short>
	    </description>
	    <content>"iso-sanserif"</content>
	  </value>
	  <value>
	    <description>
	      <short>iso-monospace</short>
	    </description>
	    <content>"iso-monospace"</content>
	  </value>
	  <value>
	    <description>
	      <short>Another family</short>
	    </description>
	    <type class="string">
	  </value>
	</characteristic>
	<characteristic name="font-weight" initial="'medium">
	  <description>
	    <short>Font weight</short>
	  </description>
	  <value>
	    <content>#f</content>
	  </value>
	  <value>
	    <content>'not-applicable</content>
	  </value>
	  <value>
	    <description>
	      <short></short>
	    </description>
	    <content>'ultra-light</content>
	  </value>
	  <value>
	    <description>
	      <short></short>
	    </description>
	    <content>'extra-light</content>
	  </value>
	  <value>
	    <description>
	      <short></short>
	    </description>
	    <content>'light</content>
	  </value>
	  <value>
	    <description>
	      <short></short>
	    </description>
	    <content>'semi-light</content>
	  </value>
	  <value>
	    <description>
	      <short></short>
	    </description>
	    <content>'medium</content>
	  </value>
	  <value>
	    <description>
	      <short></short>
	    </description>
	    <content>'semi-bold</content>
	  </value>
	  <value>
	    <description>
	      <short></short>
	    </description>
	    <content>'bold</content>
	  </value>
	  <value>
	    <description>
	      <short></short>
	    </description>
	    <content>'extra-bold</content>
	  </value>
	  <value>
	    <description>
	      <short></short>
	    </description>
	    <content>'ultra-bold</content>
	  </value>
	</characteristic>
	<characteristic name="font-posture" initial="'upright">
	  <description>
	    <short>Font posture</short>
	  </description>
	  <value>
	    <content>#f</content>
	  </value>
	  <value>
	    <content>'not-applicable</content>
	  </value>
	  <value>
	    <content>'upright</content>
	  </value>
	  <value>
	    <content>'oblique</content>
	  </value>
	  <value>
	    <content>'back-slanted-oblique</content>
	  </value>
	  <value>
	    <content>'italic</content>
	  </value>
	  <value>
	    <content>'back-slanted-italic</content>
	  </value>
	</characteristic>
	<characteristic name="font-structure" initial="'solid">
	  <description>
	    <short>Font structure</short>
	  </description>
	  <value>
	    <content>#f</content>
	  </value>
	  <value>
	    <content>'not-applicable</content>
	  </value>
	  <value>
	    <content>'solid</content>
	  </value>
	  <value>
	    <content>'outline</content>
	  </value>
	</characteristic>
	<characteristic name="font-proportionate-width" initial="'medium">
	  <description>
	    <short>Font proportionate width</short>
	  </description>
	  <value>
	    <content>#f</content>
	  </value>
	  <value>
	    <content>'not-applicable</content>
	  </value>
	  <value>
	    <content>'ultra-condensed</content>
	  </value>
	  <value>
	    <content>'extra-condensed</content>
	  </value>
	  <value>
	    <content>'condensed</content>
	  </value>
	  <value>
	    <content>'semi-condensed</content>
	  </value>
	  <value>
	    <content>'medium</content>
	  </value>
	  <value>
	    <content>'semi-expanded</content>
	  </value>
	  <value>
	    <content>'expanded</content>
	  </value>
	  <value>
	    <content>'extra-expanded</content>
	  </value>
	  <value>
	    <content>'ultra-expanded</content>
	  </value>
	</characteristic>
	<characteristic name="font-size" initial="10pt">
	  <description>
	    <short>Font size</short>
	  </description>
	  <value>
	    <type class="length">
	  </value>
	</characteristic>
      </section>
    </customize> 
    <style-specification-body></style-specification-body>
  </style-specification>
</customizable-style-sheet>
