<!-- This example shows how customization information can be added to 
     a style sheet without changing the style sheet itself. I have chosen
     Jon Bosak's style sheet for HTML printout as an example. -->
<!doctype customizable-style-sheet 
  public "-//Matthias Clasen//DTD Customizable DSSSL Style Sheet//EN" [
  <!entity base system "html32hc.dsl" cdata dsssl>
]>
  <customizable-style-sheet>
  <style-specification use="x">
    <customize languages="DE EN">
<!-- These characteristics are overridden by variables, there may be more -->
      <characteristic name="start-indent" ignored>
      <characteristic name="first-line-start-indent" ignored>
      <characteristic name="quadding" ignored>
      <characteristic name="font-family-name" ignored>
      <characteristic name="font-weight" ignored>
      <characteristic name="font-posture" ignored>
      <characteristic name="font-size" ignored>
      <characteristic name="line-spacing" ignored>
      <characteristic name="page-width" ignored>
      <characteristic name="page-height" ignored>
      <characteristic name="left-margin" ignored>
      <characteristic name="right-margin" ignored>
      <characteristic name="header-margin" ignored>
      <characteristic name="footer-margin" ignored>
      <section>
	<description language="DE">Grundeinstellungen</description>
	<description language="EN">Basic settings</description>
	<variable name="%visual-acuity%" default='"normal"'>
	  <description language="DE"><short>Sehschrfe</description>
	  <description language="EN"><short>Visual acuity</description>
	  <value>
	    <description>Normal</description>
	    <content>"normal"</content>
	  <value>
	    <description language="DE">Leicht kurzsichtig</description>
	    <description language="EN">Presbyopic</description>
	    <content>"presbyopic"</content>
	  <value>
	    <description language="DE"><short>Grodruck</description>
	    <description language="EN"><short>Large type</description>
	    <content>"large-type"</content>
	</variable>
	<variable name="%autonum-level%" default="6">
	  <description language="DE">Numerierungstiefe</description>
	  <description language="EN">Numbering level</description>
	  <value><content>0</content>
	  <value><content>1</content>
	  <value><content>2</content>
	  <value><content>3</content>
	  <value><content>4</content>
	  <value><content>5</content>
	  <value><content>6</content>
	</variable>
	<variable name="%toc?%" default="#t">
	  <description language="DE">
	    <short>Inhaltsverzeichnis?</short>
	    <long>Ist dieser Schalter auf #t gesetzt, so wird ein 
	      Inhaltsverzeichnis erzeugt</long>
	  </description>
	  <description language="EN">
	    <short>Table of contents?</short>
	    <long>A table of contents will be generated, if this variable 
	      is set to #t.</long>
	  </description>
	  <value><type class="boolean">
	</variable>
      </section>
      <section>
	<description language="DE">Seitenlayout</description>
	<description language="EN">Page layout</description>
	<variable name="%page-width%" default="8.5in">
	  <description language="DE">Seitenbreite</description>
	  <description language="EN">Page width</description>
	  <value><type class="length">
	</variable>
	<variable name="%page-height%" default="11in">
	  <description language="DE">Seitenhhe</description>
	  <description language="EN">Page height</description>
	  <value><type class="length">
	</variable>
	<variable name="%left-right-margin%" default="6pi">
	  <description language="DE">Randbreite</description>
	  <description language="EN">Margin width</description>
	  <value><type class="length">
	</variable>
	<variable name="%footer-margin%" default="3.5pi">
	  <description language="DE">Funotenabstand</description>
	  <description language="DE">Footer margin</description>
	  <value><type class="length">
	</variable>
      </section>
      <section>
	<description language="DE">Abstnde</description>
	<description language="EN">Spacing</description>
	<variable name="%line-spacing-factor%" default="1.2">
	  <description language="DE">Zeilenabstand</description>
	  <description language="EN">Line spacing</description>
	  <value><type class="number">
	</variable>
	<variable name="%head-before-factor%" default="1.0">
	  <description language="DE">Platz vor berschriften</description>
	  <description language="EN">Before headings</description>
	  <value><type class="number">
	</variable>
	<variable name="%head-after-factor%" default="0.6">
	  <description language="DE">Platz nach berschriften</description>
	  <description language="EN">After headings</description>
	  <value><type class="number">
	</variable>
	<variable name="%hsize-bump-factor%" default="1.2">
	  <value><type class="number">
	</variable>
	<variable name="%ss-size-factor%" default="0.6">
	  <value><type class="number">
	</variable>
	<variable name="%ss-shift-factor%" default="0.4">
	  <value><type class="number">
	</variable>
	<variable name="%smaller-size-factor%" default="0.9">
	  <description language="DE">Kleinere Schriftgre</description>
	  <description language="EN">Smaller size</description>
	  <value><type class="number">
	</variable>
	<variable name="%bullet-size-factor%" default="0.8">
	  <description language="DE">Bullet-Gre</description>
	  <description language="EN">Bullet size</description>
	  <value><type class="number">
	</variable>
      </section>
      <section>
	<description language="DE">Schriftarten</description>
	<description language="EN">Fonts</description>
	<variable name="%title-font-family%" default='"Arial"'>
	  <description language="DE">berschriften</description>
	  <description language="EN">Headings</description>
	  <value><type class="string">
	</variable>
	<variable name="%body-font-family%" default='"Times New Roman"'>
	  <description>Text</description>
	  <value><type class="string">
	</variable>
	<variable name="%mono-font-family%" default='"Courier New"'>
	  <description>Monospace</description>
	  <value><type class="string">
	</variable>
	<variable name="%dingbat-font-family%" default='"Wingdings"'>
	  <description>Dingbats</description>
	  <value><type class="string"></value>
	</variable>
      </section>
    </customize>
    <style-specification-body>
      <!-- This is inserted because jade complains (correctly)
      about omitted start tags of empty elements. -->
    </style-specification-body>      
  <external-specification id="x" document="base">





