<!doctype customizable-style-sheet 
  public "-//Matthias Clasen//DTD Customizable DSSSL Style Sheet//EN" >
<customizable-style-sheet>
  <style-specification id="a" use="b">
    <customize languages="DE EN">
      <!-- This style sheet uses variables for the font size, so advice
           the application not to offer customization for font-size. -->
      <characteristic name="font-size" ignored="ignored">
      </characteristic>
      <variable name="header" default='"(Missing header)"'>
	<description language="EN">Header<long>Fixed header string.</description>
	<description language="DE">Kopfzeile<long>Feste Kopfzeile.</description>
	<value><type class="string">
      </variable>
      <variable name="basename" default='"page"'>
	<description language="EN">
	  <short>Filename</short>
	  <long>A string used as filname stem.</long>
	</description>
	<description language="DE">
	  <short>Dateiname</short>
	  <long>Anfangsstck zur Konstruktion von Dateinamen.</long>
	</description>
	<value><type class="string">
      </variable>
      <section>
	<description language="EN">
	  <short>Font sizes</short>
	  <long>The variables in this section 
	    determine various font sizes.</long>
	</description>
	<description language="DE">
	  <short>Schriftgren</short>
	  <long>Die Variablen in diesem Abschnitt 
	    bestimmen verschieden Schriftgren.</long>
	</description>
	<variable name="bodysize" default="10pt">
	  <description language="EN">
	    <short>Text</short>
	    <long>The size of the main body font.</long>
	  </description>
	  <description language="DE">
	    <short>Text</short>
	    <long>Die Gre der Haupttextschrift.</long>
	  </description>
	  <value><content>7pt</content>
	  <value><content>8pt</content>
	  <value><content>9pt</content>
	  <value><content>10pt</content>
	  <value><content>11pt</content>
	  <value><content>12pt</content>
	<variable name="footnotesize" default="7pt">
	  <description language="EN">
	    <short>Footnotes</short>
	    <long>The size of the footnote font.</long>
	  </description>
	  <description language="DE">
	    <short>Funoten</short>
	    <long>Die Gre der Schrift, die fr Funoten verwendet wird.</long>
	  </description>
	  <value><content>5pt</content>
	  <value><content>6pt</content>
	  <value><content>7pt</content>
	  <value><content>8pt</content>
	  <value><content>9pt</content>
	  <value><content>10pt</content>
	</variable>
      </section>
      <characteristic name="font-weight" initial="'medium">
	<description>
	  <short>Font weight</short>
	  <long>The initial weight used for fonts.

This demonstrates customization for inherited characteristics. Note that
this element overrides the specification for font-weight offered by the
application.</long>
	</description>
	<value><content>#f</content></value>
	<value><content>'not-applicable</content></value>
	<value><content>'light</content></value>
	<value><content>'medium</content></value>
	<value><content>'bold</content></value>
      </characteristic>
    </customize>
    <style-specification-body>
      <!-- Fill in a wonderful style sheet here -->
    </style-specification-body>
  <style-specification id="b">
    <customize>
      <variable name="foo">
	<description>Foo<long>A ramba zamba variable.

This variable demonstrates an explicitely given list of values.</description>
	<value><content>bar</content>
	<value><content>baz</content>
      </variable>
      <variable name="goo">
	<description>Goo<long>An asian board game.

This variable demonstrates a given type.</description>
	<value><type class="length">
      </variable>
      <variable name="boo">
	<description>Boo<long>This variable demonstrates boolean type.</description>
	<value><type class="length">
      </variable>
      <variable name="moo">
	<description>Moo<long>The sound of a cow.

This variable demonstrates a mixture of explicitely
	given values and types.</description>
	<value><type class="length">
	<value><content>bar</content>
	<value><content>baz</content>
      </variable>
    </customize>










